Bug 130132 - CAN-2004-0752 openoffice temporary file information leakage.
CAN-2004-0752 openoffice temporary file information leakage.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openoffice.org (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-17 09:40 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-15 11:36:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-08-17 09:40:01 EDT
Secunia Research has discovered a vulnerability in the OpenOffice
implementation on Fedora Core 1 and Fedora Core 2, which potentially can
be exploited by malicious, local users to gain knowledge of sensitive
information.

Default installs create temporary OpenOffice documents with insecure
permissions ("664" or "644" depending on the user's umask) in the "/tmp"
folder.

Example:
/tmp/svelj.tmp/svemm.tmp

(The temporary folders and files are always named "sv???.tmp").

Successful exploitation allows an unprivileged user to read arbitrary
users' currently open documents.
Comment 1 Josh Bressers 2004-08-17 09:40:37 EDT
Fedora Core is handled by bug 130131

We don't currently have a release date for this issue.
Comment 2 Dan Williams 2004-08-18 11:02:47 EDT
Josh, this bug is against RHEL3, but isn't RHEL3 _not_ affected by
this?  I thought only Fedora Core 2 and higher were (since FC1 shares
the same OOo that RHEL3 uses)
Comment 3 Josh Bressers 2004-08-18 11:03:54 EDT
If you could try to reproduce this on RHEL3 that would be great.  My
testing has shown that it affects RHEL3 and FC2 but not FC1.
Comment 4 Dan Williams 2004-08-18 11:59:33 EDT
I confirm it also affects RHEL3, when editing a document the temp file
in /tmp has permissions of "rw-r--r--"
Comment 6 Josh Bressers 2004-08-18 12:35:37 EDT
This will be CAN-2004-0752
Comment 7 Josh Bressers 2004-08-19 11:44:59 EDT
This is going to be RHSA-2004:446
Comment 8 Mark J. Cox (Product Security) 2004-08-23 04:25:49 EDT
Embargo moved to Sep 8th 1300BST
Comment 9 Mark J. Cox (Product Security) 2004-09-12 07:03:48 EDT
This issue is now public
http://marc.theaimsgroup.com/?l=bugtraq&m=109483308421566
Comment 10 Dan Williams 2004-09-12 10:50:33 EDT
Fix is built in dist-3.0E-errata-candidate, 1.1.0-16.14.EL
Comment 11 Josh Bressers 2004-09-15 11:36:20 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-446.html

Note You need to log in before you can comment on or make changes to this bug.